program URE_AUTOSIZE_STATIC_TEXT_FIX;
{$PMTYPE VIO}
const WRONGSTRING1='SLS_PRIMARYSCALE2 |';
      GOODSTRING1 ='SS_TEXT | DT_VCENTER |';
      WRONGSTRING2='BKS_SPIRALBIND';
      GOODSTRING2 ='BKS_SPIRALBIND | 0x800';
      tempname='ASTF.$$$';
var f,t:text;
    p:longint;
    s:string;
begin
  writeln('URE RC Post-processor v1.0 by Doodle');
  writeln;
  if paramcount=0 then
  begin
    writeln('usage: URERCPP <file.rc>');
    writeln;
    writeln('The program reads the resource file created by URE,');
    writeln('and makes the following changes in it:');
    writeln(' - Replaces "SLS_PRIMARYSCALE2 |" with "SS_TEXT | DT_VCENTER"');
    writeln('   because URE makes this mistake for autosized static texts.');
    writeln(' - Replaces "BKS_SPIRALBIND" with "BKS_SPIRALBIND | 0x800", so');
    writeln('   the notebooks created with URE will be Warp4 style notebooks');
    writeln('   on Warp4+ systems. (Remember to set Spiral Bind flag for your');
    writeln('   notebook controls!');
    halt;
  end;
  assign(f,paramstr(1)); assign(t,tempname);
  reset(f); rewrite(t);
  writeln(t,'/* This file has been post-processed by URE RC Post-processor v1.0 */');
  while not eof(f) do
  begin
    readln(f,s);
    p:=pos(WRONGSTRING1,s);
    if p<>0 then
    begin
      delete(s,p,length(WRONGSTRING1));
      insert(GOODSTRING1,s,p);
      write('S');
    end else
    begin
      p:=pos(WRONGSTRING2,s);
      if p<>0 then
      begin
        delete(s,p,length(WRONGSTRING2));
        insert(GOODSTRING2,s,p);
        write('N');
      end
      else write('.');
    end;
    writeln(t,s);
  end;
  writeln;
  close(t); close(f);
  erase(f);
  rename(t,paramstr(1));
end.
