type pIWT_Parm=^IWT_Parm;
     IWT_Parm=record
       pDlgWnd:^HWND;
       Socket:longint;
       CloseCommand:boolean;
     end;

function InvitorWindowThreadFunc(p:pointer):longint;
var DlgWnd:HWND;
    DlgSwap, ParentSwap:SWP;
    ix,iy:longint;
    pParm:pIWT_Parm;
    Swp1, Swp2, Swp3:SWP;
    CXBorder, CYBorder:longint;
    BgColor:RGB2;
begin
  pParm:=pIWT_Parm(p);
  InitPM;
  // Load dialog window
  DlgWnd:=WinLoadDLG(HWND_DESKTOP, HWND_DESKTOP,
                     nil, NULLHANDLE, DLG_DIRECTCONNECT, nil);

  with pParm^ do
  begin
    pDlgWnd^:=DlgWnd;
  end;
  // Center on the screen and show
  if DlgWnd<>0 then
  begin
    if WinQueryWindowPos(DlgWnd,DlgSwap) then
    if WinQueryWindowPos(HWND_DESKTOP,ParentSwap) then
    begin
      CXBorder:=WinQuerySysValue(HWND_DESKTOP, SV_CXDLGFRAME);
      CYBorder:=WinQuerySysValue(HWND_DESKTOP, SV_CYDLGFRAME);
      // Reposition the controls inside it to fit in every resolution
      // Cancel button
      WinQueryWindowPos(WinWindowFromID(DlgWnd, PB_CANCEL), Swp1);
      WinSetWindowPos(WinWindowFromID(DlgWnd, PB_CANCEL), HWND_TOP,
                      DlgSwap.cx-CXBorder-Swp1.cx-5, CYBorder+5,
                      0, 0,
                      SWP_MOVE);
      // Groupbox
      WinQueryWindowPos(WinWindowFromID(DlgWnd, PB_CANCEL), Swp1);
      WinSetWindowPos(WinWindowFromID(DlgWnd, GB_STATUS), HWND_TOP,
                      CXBorder+5, Swp1.y+Swp1.cy+5,
                      DlgSwap.cx-2*(CXBorder+5), DlgSwap.cy-2*CYBorder-Swp1.y-Swp1.cy-5-WinQuerySysValue(HWND_DESKTOP, SV_CYTITLEBAR),
                      SWP_MOVE or SWP_SIZE);
      // Strings in groupbox:
      WinQueryWindowPos(WinWindowFromID(DlgWnd, GB_STATUS), Swp1);
      WinQueryWindowPos(WinWindowFromID(DlgWnd, ST_INVITING), Swp2);
      WinSetWindowPos(WinWindowFromID(DlgWnd, ST_INVITING), HWND_TOP,
                      Swp1.x+5, Swp1.y+Swp1.cy-2*Swp2.cy-5,
                      0, 0,
                      SWP_MOVE);
      WinQueryWindowPos(WinWindowFromID(DlgWnd, ST_INVITING), Swp2);
      WinQueryWindowPos(WinWindowFromID(DlgWnd, ST_GAME), Swp3);
      WinSetWindowPos(WinWindowFromID(DlgWnd, ST_GAME), HWND_TOP,
                      Swp1.x+5, Swp2.y-Swp3.cy-5,
                      0, 0,
                      SWP_MOVE);
      WinQueryWindowPos(WinWindowFromID(DlgWnd, ST_GAME), Swp2);
      WinQueryWindowPos(WinWindowFromID(DlgWnd, ST_STATUS), Swp3);
      WinSetWindowPos(WinWindowFromID(DlgWnd, ST_STATUS), HWND_TOP,
                      Swp1.x+5, Swp2.y-Swp3.cy-5,
                      0, 0,
                      SWP_MOVE);
      // Now the info-fields
      WinQueryWindowPos(WinWindowFromID(DlgWnd, ST_INVITING), Swp2);
      WinSetWindowPos(WinWindowFromID(DlgWnd, ST_USERNAME), HWND_TOP,
                      Swp2.x+Swp2.cx+5, Swp2.y,
                      Swp1.x+Swp1.cx-CXBorder-(Swp2.x+Swp2.cx+5)-5, Swp2.cy,
                      SWP_MOVE or SWP_SIZE);
      WinQueryWindowPos(WinWindowFromID(DlgWnd, ST_GAME), Swp3);
      WinSetWindowPos(WinWindowFromID(DlgWnd, ST_GAMENAME), HWND_TOP,
                      Swp2.x+Swp2.cx+5, Swp3.y,
                      Swp1.x+Swp1.cx-CXBorder-(Swp2.x+Swp2.cx+5)-5, Swp3.cy,
                      SWP_MOVE or SWP_SIZE);
      WinQueryWindowPos(WinWindowFromID(DlgWnd, ST_STATUS), Swp3);
      WinSetWindowPos(WinWindowFromID(DlgWnd, ST_DIRECTCONNECTSTATUS), HWND_TOP,
                      Swp2.x+Swp2.cx+5, Swp1.y+CXBorder+5,
                      Swp1.x+Swp1.cx-CXBorder-(Swp2.x+Swp2.cx+5)-5, Swp3.y+Swp3.cy-(Swp1.y+5+CXBorder),
                      SWP_MOVE or SWP_SIZE);
      // Set the colors of info-fields
      Longint(BgColor):=WinQuerySysColor(HWND_DESKTOP, SYSCLR_ENTRYFIELD,0);
      WinSetPresParam(WinWindowFromID(DlgWnd, ST_USERNAME),
                      PP_BACKGROUNDCOLOR,
                      sizeof(BgColor),
                      @BgColor);
      WinSetPresParam(WinWindowFromID(DlgWnd, ST_GAMENAME),
                      PP_BACKGROUNDCOLOR,
                      sizeof(BgColor),
                      @BgColor);
      WinSetPresParam(WinWindowFromID(DlgWnd, ST_DIRECTCONNECTSTATUS),
                      PP_BACKGROUNDCOLOR,
                      sizeof(BgColor),
                      @BgColor);
      // Center dialog box within the parent window
      ix := ParentSwap.x + (ParentSwap.cx - DlgSwap.cx) div 2;
      iy := ParentSwap.y + (ParentSwap.cy - DlgSwap.cy) div 2;
      WinSetWindowPos(DlgWnd, HWND_TOP, ix, iy, 0, 0, SWP_MOVE or SWP_SHOW or SWP_ACTIVATE);
    end;
    WinShowWindow(DlgWnd, True);
    WinProcessDlg(DlgWnd);
    WinDestroyWindow(DlgWnd);

    if not pParm^.CloseCommand then
    begin
      SendString(pParm^.Socket, 'DISCONNECT'); // Make the other thread quit:
      so_cancel(pParm^.Socket);
      so_cancel(pParm^.Socket);
      so_cancel(pParm^.Socket);
      shutdown(pParm^.Socket,2);
      soclose(pParm^.Socket);
    end;
  end;

  UninitPM;
  Dispose(pParm);
end;

function InvitorThreadFunc(p:pointer):longint;
label CleanupThread,
      EndOfConnection,
      UnloadDLLAndCleanupThread;
var Game:tGameList;
    Player:tPlayerDataList;
    sTemp:string;
    lTemp:longint;
    WindowTID:TID;
    DlgWnd:HWND;
    Parm:pIWT_Parm;

    InitBuf:pInitBuf;
    StartServerBuf:pStartServerBuf;

  function ConnectToOtherClient:boolean;
  var server:sockaddr_in;
      code:longint;
  begin
    result:=false;

    fillchar(server,sizeof(server),0);

    Server.sin_family  := AF_INET;
    server.sin_addr:=Player.lSrvAddress;
    if server.sin_addr=-1 then exit;
    server.sin_port:=Player.lSrvPort;
    if server.sin_addr=-1 then exit;

    code:=connect(pDirectClientList(p)^.MySocket,sockaddr(server),sizeof(server));
    if (code<>0) then exit;

    result:=true;
  end;

begin
  InitPM;
  if p<>nil then
  with pDirectClientList(p)^ do
  begin
    if GameToInvite^.GameInfo.lGameType=GT_DUEL then
    begin //--------------------------- DUEL-type game! ------------------------------------------
      if not LoadGameDLL(GameToInvite^.FileName) then
      begin
        WinMessageBox(HWND_DESKTOP, HWND_DESKTOP, 'Could not load game DLL!','Error loading DLL', 0, MB_OK or MB_MOVEABLE or MB_ICONEXCLAMATION);
        goto CleanupThread;
      end;
      // Ok, dll loaded locally, now try to initialize it!

      new(InitBuf);
      if (InitBuf=nil) then
      begin
        WinMessageBox(HWND_DESKTOP, HWND_DESKTOP, 'Could not allocate memory!','Out of memory', 0, MB_OK or MB_MOVEABLE or MB_ICONEXCLAMATION);
        goto UnloadDLLAndCleanupThread;
      end;
      // Initialize game dll
      with InitBuf^ do
      begin // Set helper functions for this game:
        SendMessage:=@SendMessagePChar;
        ReceiveMessage:=@ReceiveMessagePChar;
      end;

      if not InitializeGameDLL(sizeof(InitBuf^), InitBuf) then
      begin
        WinMessageBox(HWND_DESKTOP, HWND_DESKTOP, 'Error initializing game!','Initialization error', 0, MB_OK or MB_MOVEABLE or MB_ICONEXCLAMATION);
        dispose(InitBuf);
        goto UnloadDLLAndCleanupThread;
      end;
      dispose(InitBuf);

      // Ok, the game has been initialized, all the helper function addresses are there, it
      // checked if it can run on this computer. Now check if the other player wants to play!

      // let's connect to other player!

      // Create window to show connection status!

      DlgWnd:=-1;
      new(parm);

      Parm^.pDlgWnd:=@DlgWnd;
      Parm^.Socket:=-1;
      Parm^.CloseCommand:=false;
      WindowTID:=VPBeginThread(InvitorWindowThreadFunc, 16384, Parm);

      DosSetPriority(prtys_Thread, prtyc_Regular, +2, WindowTID);

      while DlgWnd=-1 do DosSleep(32); // wait until it initializes!

      Game:=GameToInvite^;
      Player:=PlayerToInvite^;

      WinSetDlgItemTextPas(DlgWnd, ST_USERNAME, FormatPlayerData(@Player));
      with Game.GameInfo do
      WinSetDlgItemTextPas(DlgWnd, ST_GAMENAME, StrPas(csGameName)+' v'+
                            LongToStr(bGameVerMaj)+'.'+LongToStr(bGameVerMin)+'.'+LongToStr(sGameVerRel)+
                            ' (NetComm v'+LongToStr(sGameNetCommVerMaj)+'.'+LongToStr(sGameNetCommVerMin)+')');

      WinSetDlgItemTextPas(DlgWnd, ST_DIRECTCONNECTSTATUS, 'Creating socket...');
      MySocket:=socket(AF_INET,SOCK_STREAM,0);
      Parm^.Socket:=MySocket; // Tell it to the other thread too!
      if (MySocket>=0) then
      begin
        WinSetDlgItemTextPas(DlgWnd, ST_DIRECTCONNECTSTATUS, 'Connecting to client...');
        DosSleep(64);
        if ConnectToOtherClient then // Try to connect!
        begin
          WinSetDlgItemTextPas(DlgWnd, ST_DIRECTCONNECTSTATUS, 'Sending invitation...');
          SetStatusLineColor(PP_BACKGROUNDCOLOR, $00008000); // Green

          sTemp:=ReceiveString(MySocket); // There must be a welcome/ready string first

          sTemp:='INVITE "'+sUserName+'" "'+StrPas(Game.GameInfo.csGameName)+'" '+
                 LongToStr(Game.GameInfo.sGameNetCommVerMaj)+' '+LongToStr(Game.GameInfo.sGameNetCommVerMin);
          SendString(MySocket,sTemp);            // Send invitation!

          sTemp:=ReceiveString(MySocket);
          if sTemp='ACCEPTED' then
          begin
            // Let the info window disappear and the thread for it close
            Parm^.CloseCommand:=True;
            WinPostMsg(DlgWnd, WM_QUIT, 0, 0);

//------------------------------------------------------------------------------------------------------------

            new(StartServerBuf);
            if (StartServerBuf=nil) then
            begin
              WinMessageBox(HWND_DESKTOP, HWND_DESKTOP, 'Could not allocate memory!','Out of memory', 0, MB_OK or MB_MOVEABLE or MB_ICONEXCLAMATION);
              goto EndOfConnection;
            end;

            // Start game in server mode!

            with StartServerBuf^ do
            begin
              Socket:=MySocket;
              fillchar(LocalUserName, sizeof(LocalUserName), 0);
              fillchar(RemoteUserName, sizeof(RemoteUserName), 0);
              move(sUserName[1], LocalUserName, length(sUserName));
              move(Player.sName[1], RemoteUserName, length(Player.sName));
              hMod:=GameDLLHandle;
            end;
            StartServerBuf^.AB:=AB;
            StartServerBuf^.MQ:=MQ;

            if not StartGame_ServerMode(sizeof(StartServerBuf^), StartServerBuf) then
            begin
              WinMessageBox(HWND_DESKTOP, HWND_DESKTOP, 'Could not start game!','Error starting game', 0, MB_OK or MB_MOVEABLE or MB_ICONEXCLAMATION);
              dispose(StartServerBuf);
              goto EndOfConnection;
            end;

            // Cleanup after the game

            dispose(StartServerBuf);
        //------------------------------------------------------------------------------------------------------------
          end else
          begin
            if copy(sTemp,1,6)='ERROR ' then
            begin
              lTemp:=StrToLong(copy(sTemp,7,3));
              if (lTemp>=MIN_ERRORCODE) and (lTemp<=MAX_ERRORCODE) then
              begin
                if lTemp=008 then // Not accepted
                  sTemp:=Player.sName+' did not accept your invitation!'
                else
                sTemp:=ErrorDescription[lTemp];
              end
              else
                sTemp:='Error while inviting:'+#13+#10+sTemp;
            end else
            begin
              sTemp:='Error while inviting:'+#13+#10+sTemp;
            end;
            sTemp:=sTemp+#13+#10+'Client disconnected.';
            WinSetDlgItemTextPas(DlgWnd, ST_DIRECTCONNECTSTATUS, sTemp);
          end;
          SendString(MySocket, 'DISCONNECT');
        end else
        begin
          WinSetDlgItemTextPas(DlgWnd, ST_DIRECTCONNECTSTATUS, 'Could not connect to client!');
        end;
       EndOfConnection:
        soclose(MySocket);
      end else
        WinSetDlgItemTextPas(DlgWnd, ST_DIRECTCONNECTSTATUS, 'Could not create socket!');
      MySocket:=-1;
      WinSetDlgItemTextPas(DlgWnd, PB_CANCEL, 'Close');

      // Unload DLL
     UnloadDLLAndCleanupThread:
      UnloadGameDLL;
    end else
    if GameToInvite^.GameInfo.lGameType=GT_MULTIPLAYER then
    begin // -------------------------- Multiplayer-type game -------------------------------------
      WinMessageBox(HWND_DESKTOP, HWND_DESKTOP, 'Multiplayer games not yet supported!','Unsupported game type',0,MB_OK or MB_MOVEABLE or MB_ICONEXCLAMATION);
    end else
      WinMessageBox(HWND_DESKTOP, HWND_DESKTOP, 'Unknown game type!','Unsupported game type',0,MB_OK or MB_MOVEABLE or MB_ICONEXCLAMATION);
  end;
  // Cleanup thread:
 CleanupThread:
  DeleteOldDirectClient(p);
  UninitPM;
end;

